rpms/glusterfs/EL-5 glusterfs.logrotate, NONE, 1.1 glusterfsd.logrotate, NONE, 1.1 glusterfsd.init, 1.2, 1.3 glusterfsd.sysconfig, 1.2, 1.3

Matthias Saou thias at fedoraproject.org
Sat Sep 12 17:46:32 UTC 2009


Author: thias

Update of /cvs/extras/rpms/glusterfs/EL-5
In directory cvs1.fedora.phx.redhat.com:/tmp/cvs-serv22964

Modified Files:
	glusterfsd.init glusterfsd.sysconfig 
Added Files:
	glusterfs.logrotate glusterfsd.logrotate 
Log Message:
Add and update files required by the previous change.



--- NEW FILE glusterfs.logrotate ---
/var/log/glusterfs/glusterfs.log {
    missingok
    postrotate
        /usr/bin/killall -HUP glusterfs 2>/dev/null || true
    endscript
}


--- NEW FILE glusterfsd.logrotate ---
/var/log/glusterfs/glusterfsd.log {
    missingok
    postrotate
        /bin/kill -HUP `cat /var/run/glusterfsd.pid 2>/dev/null` 2>/dev/null || true
    endscript
}


Index: glusterfsd.init
===================================================================
RCS file: /cvs/extras/rpms/glusterfs/EL-5/glusterfsd.init,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -p -r1.2 -r1.3
--- glusterfsd.init	16 Feb 2009 12:24:47 -0000	1.2
+++ glusterfsd.init	12 Sep 2009 17:46:32 -0000	1.3
@@ -2,70 +2,106 @@
 #
 # glusterfsd   Startup script for the glusterfs server
 #
-# chkconfig: - 20 80
+# chkconfig:   - 20 80
 # description: Clustered file-system server
-#
-# processname: glusterfsd
-# config: /etc/glusterfs/glusterfs-server.vol
-# pidfile: /var/run/glusterfsd.pid
 
-# Source function library
+### BEGIN INIT INFO
+# Provides: glusterfsd
+# Required-Start: $local_fs $network
+# Required-Stop: $local_fs $network
+# Should-Start: 
+# Should-Stop: 
+# Default-Start: 
+# Default-Stop: 0 1 2 3 4 5 6
+# Short-Description: glusterfs server
+# Description:       Clustered file-system server
+### END INIT INFO
+
+# Source function library.
 . /etc/rc.d/init.d/functions
 
+exec="/usr/sbin/glusterfsd"
 prog="glusterfsd"
-glusterfsd="/usr/sbin/glusterfsd"
-RETVAL=0
 
 # Set defaults, then source config for eventual overrides
-GLUSTERFSD_CONFIG="/etc/glusterfs/glusterfs-server.vol"
-GLUSTERFSD_LOGFILE="/var/log/glusterfs/glusterfsd.log"
-GLUSTERFSD_LOGLEVEL="WARNING"
 GLUSTERFSD_NOFILE="65536"
-[ -f /etc/sysconfig/glusterfsd ] && source /etc/sysconfig/glusterfsd
+
+[ -e /etc/sysconfig/$prog ] && . /etc/sysconfig/$prog
+
+lockfile=/var/lock/subsys/$prog
 
 start() {
-	echo -n $"Starting $prog: "
-	ulimit -n ${GLUSTERFSD_NOFILE}
-	daemon $glusterfsd -f ${GLUSTERFSD_CONFIG} -l ${GLUSTERFSD_LOGFILE} -L ${GLUSTERFSD_LOGLEVEL}
-	RETVAL=$?
-	echo
-	[ $RETVAL -eq 0 ] && touch /var/lock/subsys/$prog
-	return $RETVAL
+    [ -x $exec ] || exit 5
+    [ -f $GLUSTERFSD_CONFIG ] || exit 6
+    ulimit -n $GLUSTERFSD_NOFILE
+    echo -n $"Starting $prog: "
+    daemon $exec${GLUSTERFSD_CONFIG+" -f $GLUSTERFSD_CONFIG"}${GLUSTERFSD_LOGFILE+" -l $GLUSTERFSD_LOGFILE"}${GLUSTERFSD_LOGLEVEL+" -L $GLUSTERFSD_LOGLEVEL"} -p /var/run/glusterfsd.pid
+    retval=$?
+    echo
+    [ $retval -eq 0 ] && touch $lockfile
+    return $retval
 }
 
 stop() {
-	echo -n $"Stopping $prog: "
-	killproc $glusterfsd
-	RETVAL=$?
-	echo
-	[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/$prog
-	return $RETVAL
+    echo -n $"Stopping $prog: "
+    killproc $prog
+    retval=$?
+    echo
+    [ $retval -eq 0 ] && rm -f $lockfile
+    return $retval
+}
+
+restart() {
+    stop
+    start
+}
+
+reload() {
+    restart
 }
 
+force_reload() {
+    restart
+}
+
+rh_status() {
+    status $prog
+}
+
+rh_status_q() {
+    rh_status &>/dev/null
+}
+
+
 case "$1" in
-	start)
-		start
-		;;
-	stop)
-		stop
-		;;
-	restart|reload)
-		stop
-		start
-		;;
-	condrestart)
-		if [ -f /var/lock/subsys/$prog ]; then
-			stop
-			start
-		fi
-		;;
-	status)
-		status $glusterfsd
-		RETVAL=$?
-		;;
-	*)
-		echo $"Usage: $0 {start|stop|restart|condrestart|status}"
-		RETVAL=1
+    start)
+        rh_status_q && exit 0
+        $1
+        ;;
+    stop)
+        rh_status_q || exit 0
+        $1
+        ;;
+    restart)
+        $1
+        ;;
+    reload)
+        rh_status_q || exit 7
+        $1
+        ;;
+    force-reload)
+        force_reload
+        ;;
+    status)
+        rh_status
+        ;;
+    condrestart|try-restart)
+        rh_status_q || exit 0
+        restart
+        ;;
+    *)
+        echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
+        exit 2
 esac
+exit $?
 
-exit $RETVAL


Index: glusterfsd.sysconfig
===================================================================
RCS file: /cvs/extras/rpms/glusterfs/EL-5/glusterfsd.sysconfig,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -p -r1.2 -r1.3
--- glusterfsd.sysconfig	16 Feb 2009 12:24:47 -0000	1.2
+++ glusterfsd.sysconfig	12 Sep 2009 17:46:32 -0000	1.3
@@ -1,8 +1,8 @@
 # Change the glusterfsd service defaults here.
-# LOGLEVEL is one of DEBUG WARNING ERROR (default) CRITICAL or NONE
+# See "glusterfsd --help" outpout for defaults and possible values.
 
-#GLUSTERFSD_CONFIG="/etc/glusterfs/glusterfs-server.vol"
-#GLUSTERFSD_LOGFILE="/var/log/glusterfs/glusterfsd.log"
-#GLUSTERFSD_LOGLEVEL="ERROR"
+#GLUSTERFSD_CONFIG="/etc/glusterfs/glusterfsd.vol"
+#GLUSTERFSD_LOGFILE="/var/log/glusterfs/glusterfs.log"
+#GLUSTERFSD_LOGLEVEL="NORMAL"
 #GLUSTERFSD_NOFILE="65536"
 




More information about the scm-commits mailing list